Package Details: giara 0.3-3

Git Clone URL: https://aur.archlinux.org/giara.git (read-only, click to copy)
Package Base: giara
Description: Reddit gtk client
Upstream URL: https://gitlab.gnome.org/World/giara
Keywords: Reddit
Licenses: GPL3
Conflicts: redditgtk
Provides: redditgtk
Replaces: redditgtk
Submitter: otreblan
Maintainer: otreblan (GabMus)
Last Packager: otreblan
Votes: 2
Popularity: 1.22
First Submitted: 2020-10-09 13:36
Last Updated: 2020-11-19 16:36

Latest Comments

anonymous_user commented on 2020-11-19 05:25

webkit2gtk needs to be added as a dependency. Giara throws an error and doesn't launch without it.

otreblan commented on 2020-11-12 16:17

@nobicycle It appears that you're using mistune from pip. The pacman version is older and still has Renderer in mistune.py. It has been deleted almost 2 years ago https://github.com/lepture/mistune/commit/31a35a6ba58dfc030773f0821296f61630afe60e

nobicycle commented on 2020-11-12 14:13

Thanks for packaging.

Runtime error: $ giara Traceback (most recent call last): File "/usr/bin/giara", line 87, in <module> from giara import main File "/usr/lib/python3.8/site-packages/giara/main.py", line 25, in <module> from giara.app_window import AppWindow File "/usr/lib/python3.8/site-packages/giara/app_window.py", line 4, in <module> from giara.main_ui import MainUI File "/usr/lib/python3.8/site-packages/giara/main_ui.py", line 5, in <module> from giara.main_deck import MainDeck File "/usr/lib/python3.8/site-packages/giara/main_deck.py", line 2, in <module> from giara.left_stack import LeftStack File "/usr/lib/python3.8/site-packages/giara/left_stack.py", line 3, in <module> from giara.sections_stack import SectionsStack File "/usr/lib/python3.8/site-packages/giara/sections_stack.py", line 3, in <module> from giara.markdown_view import MarkdownView File "/usr/lib/python3.8/site-packages/giara/markdown_view.py", line 12, in <module> class PangoRenderer(mistune.Renderer): AttributeError: module 'mistune' has no attribute 'Renderer'